# Not matter how many spaces or tabs are inserted in a line,
# components and ending format must be exactly same as given
# example:
#
# 	<card_type>[_<block_id>] = {
# 		key=value
# 	}
#
# card_type	: 8XXX			          (mandatory)
# block_id	: configuration block id          (optional )
# key		: module parameter name
# value		: value for module parameter
#		for string value, no need to add ""
#
# card_type supported: 8887/8897/8997/8977/8987/9098
# block_id: support same chipset with
# different module parameter.
# For example to support mutiple SD8997 cards, usr can
# specify the configuration block id number [0 - 9], if not
# specified, it is taken as 0 by default.
#
# debug related module parameters could not be set via module
# configure file, ex. drvdbg could not be set in this file
#
# line started with "#" will be ignored
# refer to the USB8997_1 for parameters that could be set in
# this configuration file, and set the corresponding value
# according to your real needs

SD8997 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sdiouart8997_combo_v4.bin
}

#SD8997_1 = {
#       cfg80211_wext=0xf
#       wfd_name=wfd0
#       max_vir_bss=1
#       cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#       drv_mode=5
#}

#SD8887 = {
#	cfg80211_wext=0xf
#	wfd_name=p2p
#	max_vir_bss=1
#	cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#	drv_mode=7
#}

#SD8897 = {
#	cfg80211_wext=0xf
#	wfd_name=p2p
#	max_vir_bss=1
#	cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#	drv_mode=7
#}

#SD8977 = {
#	cfg80211_wext=0xf
#	wfd_name=p2p
#	max_vir_bss=1
#	cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#	drv_mode=7
#}

SD8987 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sdiouart8987_combo_v0.bin
}

#USB8997 = {
#	cfg80211_wext=0xf
#	max_vir_bss=1
#	cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#	drv_mode=7
#}

PCIE8997 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/pcieuart8997_combo_v4.bin
}

PCIE9098_0 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/pcieuart9098_combo_v1.bin
}

PCIE9098_1 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/pcieuart9098_combo_v1.bin
}

SD9098_0 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sdiouart9098_combo_v1.bin
}

SD9098_1 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sdiouart9098_combo_v1.bin
}

SDIW416 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sdiouartiw416_combo_v0.bin
}

SD8801 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sd8801_uapsta.bin
}

SDIW610 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sduart_iw610.bin.se
}

SDIW612 = {
	cfg80211_wext=0xf
	max_vir_bss=1
	cal_data_cfg=none
	ps_mode=1
	auto_ds=1
	host_mlme=1
	fw_name=nxp/sduart_nw61x_v1.bin.se
}

#USB8997 = {
#	hw_test=0
#	fw_name="nxp/usbusb8997_combo_v4.bin"
#	req_fw_nowait=1
#	fw_reload=3
#	fw_serial=1
#	mac_addr=00:50:43:22:1e:3d
#	mfg_mode=0
#	drv_mode=0x5
#	max_sta_bss=1
#	sta_name=wlan
#	max_uap_bss=1
#	uap_name=uap
#	wfd_name=p2p
#	max_vir_bss=1
#	max_mpl_bss=1
#	nan_name=nan
#	max_nan_bss=1
#	max_11p_bss=1
#	auto_ds=0
#	ps_mode=1
#	max_tx_buf=4096
#	intmode=0
#	gpiopin=0
#	pm_keep_power=0
#	shutdown_hs=1
#	cfg_11d=1
#	start_11ai_scan=0
#	oob_mode=0
#	sdio_pd=1
#	cal_data_cfg=nxp/WlanCalData_ext_8997_QFN_TB.conf
#	txpwrtlimit_cfg=nxp/txpwr_limit.conf
#	cntry_txpwrt=0
#	init_hostcmd_cfg=nxp/init_hostcmd_cfg.conf
#	minicard_pwrup=0
#	cfg80211_wext=0xf
#	skip_fwdnld=0
#	wq_sched_prio=0
#	wq_sched_policy=0
#	rx_work=1
#	aggrctrl=1
#	usb_aggr=1
#	pcie_int_mode=1
#	low_power_mode_enable=1
#	wakelock_timeout=10
#	dev_cap_mask=0xffffffff
#	sdio_rx_aggr=1
#	pmic=1
#	antcfg=0
#	uap_oper_ctrl=0
#	hs_wake_interval=400
#	indication_gpio=0xff
#	disconnect_on_suspend=0
#	hs_mimo_switch=1
#	indrstcfg=0xffffffff
#	fixed_beacon_buffer=0
#	GoAgeoutTime=0
#	gtk_rekey_offload=1
#	multi_dtim=0
#	inact_tmo=0
#	usb_fw_option=1
#	napi=1
#	dfs_offload=1
#	cfg80211_drcs=1
#	drcs_chantime_mode=0
#	reg_alpha2=US
#}
